@charset "utf-8";
/* トランスコスモス株式会社 エンジニア新卒採用LP イベント・説明会 Style CSS */

body {
  background-color: var(--color-white);
}
#main-area {
  color: var(--color-mono100);
}
#main-area .area__inner:has(+ .line-lead) {
  padding-bottom: 100px;
}
/* イベントスライダー Style =========*/
#event {
  max-width: 1140px;
  padding-bottom: 50px;
  margin: 0 auto 100px;
  border-bottom: #999999 1px solid;
}
#event .__inner {
  position: relative;
  max-width: 1000px;
  margin-inline: auto;
}
#event h2 {
  margin-bottom: 24px;
}
#event h3 {
  font-size: var(--txtfs-df);
  margin-bottom: 0;
}
#event .event-area {
  margin-bottom: 26px;
}
#event .event-card a {
  /*padding: clamp(15px,1.67vw,24px);*/
  display: block;
  color: var(--color-mono100);
  text-decoration: none;
}
#event .event-card__inner {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: clamp(15px,1.67vw,24px);
}
#event .event-card__inner .link {
  text-decoration: underline;
}
#event p:has(.lnk) {
  font-size: 2rem;
}
#event .lnk {
  width: fit-content;
  margin-left: auto;
  font-size: 2rem;
  font-family: var(--font-family-en);
}

@media screen and (max-width: 1024px) {
  #event {
    max-width: initial;
    width: 100%;
  }
  #event .__inner {
    max-width: initial;
    margin-inline: auto;
  }
  #event h2 {
    margin-bottom: clamp(15px, 3.91vw,24px);
  }
}
@media screen and (max-width: 750px) {
  #event .lnk {
    font-size: clamp(1.8rem, 2.67vw,2rem);
  }
}
/* Event slider Style ==================================== */
#event .swiper {
  max-width: 1000px;
}
/* slider navi */
#event .swiper-button-prev {
  position: absolute;
  left: -72px;
  background: url(/saiyou/fresh/engineer/images/ico-prev-bk.svg) no-repeat 100% 100%;
}
#event .swiper-button-next {
  position: absolute;
  right: -72px;
  background: url(/saiyou/fresh/engineer/images/ico-next-bk.svg) no-repeat 100% 100%;
}
#event .swiper-button-prev, #event .swiper-button-next {
  display: grid;
  place-content: center;
  position: absolute;
  z-index: 1;
  top: 0;
  bottom: 0;
  width: 40px;
  height: 40px;
  margin: auto;
  transition: all 0.4s;
  cursor: pointer;
}
/* slider pagination */
#event .swiper-pagination {
  display: flex;
  flex-wrap: wrap;
  gap: 1.2rem 0.8rem;
  justify-content: center;
  margin-top: 14px;
  text-align: center;
}
#event .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  cursor: pointer;
  vertical-align: top;
  background-color: #999;
}
#event .swiper-pagination-bullet-active {
  background-image: conic-gradient(from 45deg, #eeeeee, #d8d8d8);
}
#event .swiper-button-prev[aria-disabled="true"],
#event .swiper-button-next[aria-disabled="true"],
#event .swiper-pagination.swiper-pagination-lock {
    display: none;
}
@media screen and (min-width: 1025px) {
  #event .swiper {
    padding-top: 16px;
  }
  #event .swiper-slide {
    transition: opacity 0.4s;
  }
  #event .swiper-slide a:hover {
    opacity: 0.7;
  }
  #event .event-img {
    display: block;
    overflow: hidden;
    transition: all 0.4s;
  }
  #event .swiper-slide img {
    transition: all 0.4s;
  }
  #event .swiper-slide a:hover img {
    transform: scale(1.08);
  }
  .swiper-button-prev:hover, .swiper-button-next:hover,
  .swiper-pagination-bullet:hover {
    opacity: 0.7;
  }
}
@media screen and (max-width: 1200px) {
  #event .swiper {
    max-width: clamp(870px, 75vw, 900px);
  }
  #event .swiper-button-prev {
    left: 0;
  }
  #event .swiper-button-next {
    right: 0;
  }
  #event .swiper-button-prev, #event .swiper-button-next {
    width: clamp(30px, 2.92vw, 40px);
    height: clamp(30px, 2.92vw, 40px);
    background-size: contain;
  }
}
@media screen and (max-width: 1024px) {
  #event .swiper {
    max-width: 83.33vw;
    margin-inline: auto;
  }
  #event .swiper-button-prev {
    right: calc(100% - 3.2rem);
  }
  #event .swiper-button-next {
    left: calc(100% - 3.2rem);
  }
}
@media screen and (max-width: 750px) {
  #event .swiper {
    margin-inline: auto;
  }
  #event .swiper-button-prev, #event .swiper-button-next {
    position: initial;
    width: clamp(30px, 5.33vw, 40px);
    height: clamp(30px, 5.33vw, 40px);
    background-size: contain;
    margin: 0;
  }
  #event .swiper-parts {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: clamp(32px, 8.53vw, 64px);
  }
  #event .swiper-pagination {
    margin-top: 0;
  }
}

/* イベントタイトル Style ============= */
.event-area {
  padding-bottom: 96px;
  margin-bottom: 96px;
  border-bottom: #999999 1px solid;
}
.event-area:last-child {
  border-bottom: none;
  padding-bottom: 0;
  margin-bottom: 0;
}
.event-title {
  margin-bottom: 24px;
}
#main-area .event-title h3 {
  margin-bottom: 16px;
  font-size: 3.2rem;
  line-height: 140%;
}
.event-tag {
  display: flex;
  gap: 8px 16px;
  flex-wrap: wrap;
  margin-bottom: 40px;
}
.event-tag li {
  padding: 4px 8px;
  border: 1px solid #666666;
  border-radius: 2px;
  color: #666666;
  font-weight: 700;
  line-height: 160%;
}
@media screen and (max-width: 1440px) {
  #main-area .event-title h3 {
      font-size: clamp(2rem, 2.22vw, 3.2rem);
  }
}
@media screen and (max-width: 750px) {
  #ttl-area {
    margin-bottom: 50px;
  }
  .event-tag li {
    padding: 2px 6px;
    font-size: var(--txtfs-s);
  }
}
/* イベント概要・参加資格 Style =========*/
.event-detail {
  display: flex;
  gap: 16px 32px;
  margin-bottom: 24px;
}
.event-detail .event-img {
  margin-inline: auto;
}
.event-detail .event-img img {
  min-width: min(500px,34.72vw);
  max-width: 500px;
}
.event-detail .txt-block {
  flex-grow: 1;
}
.event-detail .txt-block em {
  display: block;
  margin-bottom: 16px;
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 160%;
}
.event-detail .txt-detail {
  margin-top: 16px;
  padding-top: 16px;
  border-top: 1px solid #999999;
}
.event-qual {
  margin-bottom: 40px;
}
/* Nomal UL Style ==================================== */
.event-qual ul {
  margin-left: 1.6rem;
  list-style-type: disc;
}
.event-qual ul ul {
  margin-block: 0.8rem;
  margin-left: 1.6rem;
  list-style-type: disc;
}
@media screen and (max-width:750px) {
  .event-detail .event-img img {
    min-width: initial;
    max-width: 100%;
  }
  .event-detail {
    flex-direction: column;
  }
}
/* こんな方におすすめ・プログラム内容 Style ========*/
.event-box {
  display: flex;
  gap: 20px;
  padding-inline: 20px;
  margin-bottom: 40px;
  background-color: #f2f2f2;
}
.event-box .event-box__inner {
  padding: 40px 20px;
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  gap: 24px;
}
.event-box:has(.event-box__inner + .event-box__inner) .event-box__inner {
  flex-basis: 50%;
}
.event-box h4 {
  position: relative;
  padding: 20px;
  margin-bottom: 10px;
  font-size: 2.4rem;
  text-align: center;
}
.event-box h4::before,
.event-box h4::after {
  position: absolute;
  display: block;
  width: calc(100% - 87px);
  height: calc(100% - 22px);
  min-height: 28px;
  content: "";
}
.event-box h4::before {
  top: 0;
  left: 0;
  border-left: var(--color-mono100) 1px solid;
  border-top: var(--color-mono100) 1px solid;
}
.event-box h4::after {
  bottom: 0;
  right: 0;
  border-right: var(--color-mono100) 1px solid;
  border-bottom: var(--color-mono100) 1px solid;
  content: "";
}
.event-box h4 span::before,
.event-box h4 span::after {
  position: absolute;
  display: block;
  width: 4.5px;
  height: 4.5px;
  background-color: var(--color-mono100);
  content: "";
  transform: rotate(-45deg);
}
.event-box h4 span::before {
  left: -2px;
  bottom: 22px;
}
.event-box h4 span::after {
  right: -1px;
  top: 22px;
}
.event-box .event-box-txt ul {
  margin-block: auto;
  margin-left: 1.6rem;
  list-style-type: disc;
}

@media screen and (max-width: 1440px) {
  .event-box h4 {
    padding: 15px;
    font-size: clamp(1.8rem, 1.67vw, 2.4rem);
  }
}
@media screen and (max-width:750px) {
  .event-box {
    flex-wrap: wrap;
    gap: 0;
    padding-inline: 10px;
  }
  .event-box:has(.event-box__inner + .event-box__inner) .event-box__inner {
    flex-basis: 100%;
  }
  .event-box .event-box__inner:nth-of-type(2) {
    padding-top: 0;
  }
}
/* 登壇者よりメッセージ Style ========*/
.event-message {
  margin-bottom: 40px;
}
.event-message h4 {
  display: flex;
  align-items: center;
  column-gap: 16px;
  margin-bottom: 24px;
  font-weight: 500;
  font-size: 2.4rem;
  line-height: 140%;
}
.event-message h4::before {
  width: 42px;
  height: 35px;
  background: url(/saiyou/fresh/engineer/event/images/ico-comment.svg) no-repeat 100%;
  content: "";
  background-size: contain;
}
.event-message__inner {
  display: flex;
  gap: 16px 32px;
  margin-bottom: 24px;
}
.event-message__inner .msg-img {
  margin-inline: auto;
}
.event-message__inner .msg-img img {
  min-width: min(200px,13.89vw);
  max-width: 200px;
}
.event-message__inner h5 {
  display: inline-block;
  padding: 4px 8px;
  margin-top: 24px;
  margin-bottom: 12px;
  background-color: var(--color-mono100);
  color: var(--color-white);
  font-weight: 500;
}
.event-message__inner h5:first-of-type {
  margin-top: 0;
}
@media screen and (max-width: 1440px) {
  .event-message h4 {
    font-size: clamp(1.8rem, 1.39vw, 2.4rem);
  }
  .event-message h4::before {
    width: clamp(30px, 2.92vw,42px);
    height: clamp(25px, 2.43vw, 35px);
  }
}
@media screen and (max-width:600px) {
  .event-message__inner {
    flex-direction: column;
    align-items: center;
  }
  .event-message__inner .msg-img img {
  }
}

/* 申し込み or 視聴する Style ========*/
.event-entry {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 32px 40px;
  gap: 24px;
  background: conic-gradient(from 75deg at 50% 50%, #EEEEEE 0deg, #E5E5E5 360deg);
  border-radius: 4px;
  transition: bacground 0.4s;
}
.event-entry:has(.js-acrd[open]) {
  background: conic-gradient(from 63.8deg at 50% 50%, #EEEEEE 0deg, #E5E5E5 360deg);
}
.event-entry h4 {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 8px 0px;
  border-bottom: var(--color-mono100) 1px solid;
  font-weight: 700;
  font-size: 2rem;
  line-height: 140%;
  color: #333333;
}
.evet-entry-step {
  display: block;
  width: 100%;
  background-color: var(--color-white);
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
  border-radius: 4px;
}
.event-entry details {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.event-entry summary {
  display: block;
  width: 100%;
  padding: 16px 0;
  cursor: pointer;
}
.event-entry summary::-webkit-details-marker {
  display: none;
}
.event-entry summary span {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: fit-content;
  margin-inline: auto;
}
.event-entry summary span::before,
.event-entry summary span::after {
  position: absolute;
  right: -50px;
  display: block;
  width: 13px;
  height: 2px;
  border-radius: 2px;
  content: "";
  background-color: #1f1f1f;
}
.event-entry summary span::before {
  transform: rotate(-90deg);
  transition: transform 0.4s;
}
.event-entry details[open] span::before {
  transform: rotate(0);
}
.entry-step-box {
  padding: 24px 32px 32px;
  overflow: hidden;
}
.entry-step-box dl {
  display: flex;
  gap: 16px;
  justify-content: center;
}
.entry-step-box dl div {
  flex: 1;
  display: grid;
  grid-template-rows: auto 1fr;
  grid-template-columns: 1fr 24px;
}
.entry-step-box dl div::after {
  align-self: center;
  grid-column: 2/3;
  grid-row: 1/3;
  display: block;
  width: 24px;
  height: 24px;
  margin-inline: 8px;
  background: url(/saiyou/fresh/engineer/event/images/ico-step-arrow.svg) no-repeat 100%;
  content: "";
}
.entry-step-box dl div:last-child {
  margin-right: -24px;
}
.entry-step-box dl div:last-child::after {
  display: none;
}
.entry-step-box dt {
  grid-column: 1/2;
  grid-row: 1/2;
  background: #666666;
  border-radius: 4px 4px 0 0;
  padding: 4px 16px;
  color: var(--color-white);
  font-family: var(--font-family-en);
  font-weight: 400;
  line-height: 140%;
  text-align: center;
}
.entry-step-box dd {
  grid-column: 1/2;
  grid-row: 2/3;
  padding: 16px;
  border: 1px solid #666666;
  border-radius: 0 0 4px 4px;
  font-size: var(--txtfs-m);
}
.event-entry .btn {
  width: 300px;
  max-width: initial;
  min-height: 58px;
}
@media screen and (max-width: 1440px) {
  .event-entry h4 {
    font-size: clamp(1.6rem, 1.39vw, 2rem);
  }
}
@media screen and (max-width: 1024px) {
  .entry-step-box dl {
    flex-wrap: wrap;
  }
  .entry-step-box dl div {
    flex-basis: auto;
  }
}
@media screen and (max-width: 750px) {
  .event-entry {
    padding: 25px 20px;
  }
  .entry-step-box {
    padding: 0;
  }
  .event-entry details {
    align-items: stretch;
  }
  .event-entry summary span::before, 
  .event-entry summary span::after {
    right: -25px;
  }
  .entry-step-box dl {
    flex-direction: column;
    gap: 8px;
    margin-inline: 20px;
  }
  .entry-step-box dl div {
    grid-template-rows: auto auto 24px;
    grid-template-columns: 1fr;
    justify-content: center;
  }
  .entry-step-box dl div::after {
    grid-column: 1/2;
    grid-row: 3/4;
    margin-top: 8px;
    margin-inline: auto;
    transform: rotate(90deg);
  }
  .entry-step-box dl div:last-child {
    margin-right: 0;
  }
  .entry-step-box dd {
    text-align: center;
  }
  .event-entry .btn {
    width: 100%;
    max-width: 300px;
  }
}
/* 過去のイベント Style ===================== */
.event-archive {
  width: 100vw;
  margin-inline: calc(50% - 50vw);
  padding-block: 80px 100px;
  background-color: #f2f2f2;
}
.event-archive .event-detail .txt-block {
  width: 100%;
}
.event-archive .event-box {
  background-color: var(--color-white);
  margin-bottom: 0;
}
.event-archive .event-tag li {
  border-color: var(--color-mono100);
  color: var(--color-mono100);
}
@media screen and (max-width: 1200px) {
    .event-archive {
        padding-inline: clamp(20px, 3.33vw, 40px);
    }
}